"Restore all default settings" should be a button
OpenPublic

Description

"Restore all default settings" in Special:Preferences should be a button, just like "Save" and "Undo changes". The text link looks odd at the moment.


Version: 1.21.x
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=67338
https://bugzilla.wikimedia.org/show_bug.cgi?id=68689

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz18961.
siebrand created this task.Via LegacyMay 27 2009, 8:37 PM
Jidanni added a comment.Via ConduitJun 2 2009, 12:16 AM

By the way, did anybody ever try it? I did and clicked confirm, and it didn't restore
anything, maybe due to a lack of saveSettings().

werdna added a comment.Via ConduitJun 3 2009, 4:54 PM

A button executes an action, this does not. It takes you to a confirmation page. I think this should be marked WONTFIX, but I'm open to third opinions.

Thanks for the report as to it not working, I've added saveSettings() in r51420.

Jidanni added a comment.Via ConduitJun 6 2009, 11:25 PM

Hold on, no wonder I'm the first person on the planet who ever dared
to click the "Restore all default settings" button (in the lab, of
course): How can the user click it with any confidence, when the only
information he knows about which settings he will be getting restored
back is only marked for one!:

(*) MonoBook (default) (Preview)

The rest are a mystery as to what the defaults he is about to get are.
The best he can do is create another account and see what they look
like, but we don't want him to do that. Therefore, please somebody add
"(default)" to each of the remaining items. Thanks.

Jidanni added a comment.Via ConduitJun 6 2009, 11:28 PM

(P.S., and no fair using e.g., sneaky CSS. Must work just like the Monobook line above, so text browsers can see the defaults too.)
P.S. welcome to split off another bug if Summary should stay put.

werdna added a comment.Via ConduitJul 16 2009, 4:47 PM

Marking this bug as Lowest priority.

I've done this in a batch to (usually enhancement request) bugs where:

  • It is not clear that this bug should be fixed.
  • It is not clear how to fix this bug.
  • There are difficulties or complications in fixing this bug, which are not justified by the importance of the bug.
  • This is an extremely minor bug that could not be fixed in a few lines of code.

If you're interested in having one of these bugs fixed, your best bet is to write the patch yourself.

IAlex added a comment.Via ConduitJul 27 2009, 7:27 AM
  • Bug 19952 has been marked as a duplicate of this bug. ***
Aklapper added a comment.Via ConduitDec 7 2012, 4:43 PM

Proposing WONTFIX as per comment 2.

Matthewrbowker added a comment.Via ConduitDec 7 2012, 9:41 PM

(In reply to comment #7)

Proposing WONTFIX as per comment 2.

I respectfully disagree.

The fix should be as simple as creating another form. Just set the method to get, the action to the URL of the verification page, and have the one submit element with no name and the value "Reset all default settings". Since the form has nothing to pass, it goes to the page with no values added.

duplicatebug added a comment.Via ConduitSep 8 2013, 9:00 AM
  • Bug 53900 has been marked as a duplicate of this bug. ***
werdna removed a subscriber: werdna.Via WebDec 10 2014, 6:17 PM

Add Comment